descript=This slideshow describes the process of placement of the Speedy-Bar prior to entering and exiting your Toyota Camry using the   Multi-Lift personal transfer lift system. For pricing and product information, please go to www.accessunlimited.com, or call us at +1-607-669-4822.  A sister slideshow presentation to this one shows the entire process of using the product, and is available at http://www.accessunlimited.com/download/Multi-Lift/Auto/a-pillar/speedy-bar/Toyota/camry-lexusES/generaluse/album/index.html\
\
Videos showing the entry process are also available at http://youtu.be/vskID1ngmfM\
http://www.youtube.com/watch?v=rd_dtJd9HEI&feature=plcp\
http://youtu.be/njluLg6_J5k
